{ Unis otte_ctype contains system-dependant parts of OTTE, namely, it provides
  OTTE witch basic locale routines. This otte_ctype unit was written for Windows.
------------------------------------------------------------------------------}

{$I otte_cfg.pas}
unit otte_ctype;

interface //===================================================================

type
  TotteCharProperty = array[char] of boolean;
  TotteCharTransfToLower = array[char] of char;

function load_charmap(charmap: ansistring): boolean;

var
  isalpha: TotteCharProperty;
  tolower: TotteCharTransfToLower;

implementation //==============================================================

uses
  Windows;

//-----------------------------------------------------------------------------
function load_charmap(charmap: ansistring): boolean;

var
  c: char;

begin
  result := true;

  if charmap <> '' then result := false
  else
  try
    for c := #0 to #255 do begin
      isalpha[c] := IsCharAlpha(c);
      tolower[c] := c;
    end;

    CharLowerBuff(@tolower, sizeof(tolower));
  except
    result := false;
  end;
end;

//-----------------------------------------------------------------------------
begin
  load_charmap('');
end.
